clang-tools 10.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::doc::HTMLGenerator Class Reference

Generator for HTML documentation. More...

Inheritance diagram for clang::doc::HTMLGenerator:
[legend]
Collaboration diagram for clang::doc::HTMLGenerator:
[legend]

## Public Member Functions
llvm::Error | generateDocForInfo (Info *I, llvm::raw_ostream &OS, const ClangDocContext &CDCtx) override
llvm::Error | createResources (ClangDocContext &CDCtx) override
Public Member Functions inherited from clang::doc::Generator
virtual | ~Generator ()=default

## Static Public Attributes
static const char * | Format = "html"

## Additional Inherited Members
Static Public Member Functions inherited from clang::doc::Generator
static void | addInfoToIndex (Index &Idx, const doc::Info *Info)

## Detailed Description

Generator for HTML documentation.

Definition at line 826 of file HTMLGenerator.cpp.

## Member Function Documentation

## ◆ createResources()

llvm::Error clang::doc::HTMLGenerator::createResources | ( | ClangDocContext & | CDCtx | ) |
| override virtual

Reimplemented from clang::doc::Generator.

Definition at line 983 of file HTMLGenerator.cpp.

## ◆ generateDocForInfo()

llvm::Error clang::doc::HTMLGenerator::generateDocForInfo | ( | Info * | I,
|  | llvm::raw_ostream & | OS,
|  | const ClangDocContext & | CDCtx
| ) |  |
| override virtual

Implements clang::doc::Generator.

Definition at line 837 of file HTMLGenerator.cpp.

References clang::doc::genHTML(), and clang::doc::Info::IT.

## Member Data Documentation

## ◆ Format

const char * clang::doc::HTMLGenerator::Format = "html"
| static

Definition at line 828 of file HTMLGenerator.cpp.

The documentation for this class was generated from the following file:

- HTMLGenerator.cpp